none
How to install V110_xp PlatformToolSet to VS2015?

    Question

  • I've ported my package to v140_xp with vs2015.   There is one supported 3rd party DLL interfacing component that needs the v110_xp toolset, i.e. a PHP extension.    I see the VS2015 offers the v120_xp toolset, but not v110_xp.   If it possible to get from MSDN, just the "Toolset" and install it?     I suppose all I need is the INCLUDE and LIB files.   I hoep I don't need to "install VS2012."

    Thanks

    Hector Santos, CTO Santronics Software, Inc. http://www.santronics.com


    Saturday, May 21, 2016 4:45 PM

Answers

  • Hi Hector Santos,

    As far as I know, Visual Studio 2015 supports v140_xp by default, if you want to use previous version of _xp platformtoolset, I'm afraid that you need to install the previous version of Visual Studio.

    >> If I install VS2012 on top of VS2015, will the pre-existing VS2015 see the new toolset?

    Yes, if you install VS2012 on the machine which has installed VS2015, the Visual Studio 2015 can choose the v110_xp platformtoolset in project's Properties windows as below image shows.

    Best Regards,
    Weiwei


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    Monday, May 23, 2016 5:24 AM
    Moderator

All replies

  • I found this link:

    https://msdn.microsoft.com/en-us/library/jj851139.aspx

    Is it not possible to just have INCLUDE/LIB folders in a configuration? 

    Thanks


    Hector Santos, CTO Santronics Software, Inc. http://www.santronics.com

    Saturday, May 21, 2016 7:39 PM
  • If I install VS2012 on top of VS2015, will the pre-existing VS2015 see the new toolset?

    Hector Santos, CTO Santronics Software, Inc. http://www.santronics.com

    Saturday, May 21, 2016 10:18 PM
  • Hi Hector Santos,

    As far as I know, Visual Studio 2015 supports v140_xp by default, if you want to use previous version of _xp platformtoolset, I'm afraid that you need to install the previous version of Visual Studio.

    >> If I install VS2012 on top of VS2015, will the pre-existing VS2015 see the new toolset?

    Yes, if you install VS2012 on the machine which has installed VS2015, the Visual Studio 2015 can choose the v110_xp platformtoolset in project's Properties windows as below image shows.

    Best Regards,
    Weiwei


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    Monday, May 23, 2016 5:24 AM
    Moderator